Subject: bug#58221: nautilus: Crashes loading KgxNautilus plugin twice (problems with NAUTILUS_EXTENSION_PATH)

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 01 Oct 2022 18:14:23 +0000

Hi Tobias,

On 1 October 2022 14:40:58 UTC, Tobias Kortkamp <[email-masked]> wrote:
>** (org.gnome.Nautilus:11879): WARNING **: 16:07:20.550: Tracker 2 migration: Failed to parse key file data: Key file contains line “usage: tracker3 [--version] [--help]” which is not a key-value pair, group, or comment

There we go.  There it is.

>Same crash as before otherwise.

So it *still* fails to find tracker3 before segfaulting?  Possible.  Could be a missing substitution, or it falling back to some other (search) path...

>If I run that command manually I just get the usage screen. In fact
>none of the tracker3 subcommands actually seem to work like they do on
>Fedora. Not even "help".

This sounds exactly like hypothesis #2 (mis-wrapping).  I thought that was a thing of the past, but maybe the fix is still floating up to master, or incomplete...

Will be easy enough to confirm when I'm back at K.

Thanks!

T G-R

Sent on the go.  Excuse or enjoy my brevity.